<?php
###############################
# génère le fichier AllFruits.inc à partir des tables Teams et Fruits
# dans la base. Le fichier est placé dans le répertoire d'archive
# $ARCHIVES_DIR
###############################

include("../config.php3");
include($BIB."bib_generic.php3");

###############################
# Fichier d'archive AllFruits :
$ALL_FRUITS_ARCHIVE = $ARCHIVES_DIR."AllFruits.inc";
###############################
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Génération du fichier Equipes & Maillots</div>
<br>

<?php

# function construisant une liste de type AllFruits
function makeList($rows,$field)
{
	db_data_seek($rows,0);
	$nb = db_num_rows($rows);
	
	$s = "array(\n";
	for($r=0;$r<$nb;$r++)
	{
		$row = db_fetch_array($rows);
		$s .= "\"".$r."\" => \"".$row[$field]."\"";
		if ($r<$nb-1)
			$s .= ",";
		$s .= "\n";
	}
	$s .= ");\n";
	return $s;
}

if ($submit=="Valider")
{
	# ouverture du AllFruits.inc pour ecriture
	//$f_out = fopen($ALL_FRUITS_ARCHIVE,'w');
	
	$fruits = main_db_query("SELECT * FROM Fruits ORDER BY Id ASC");
	$teams = main_db_query("SELECT * FROM Teams ORDER BY Id ASC");
	
	#####################################
	# ecriture dans le fichier AllFruits.inc
	#####################################
	//$msg = "\n";
	
	# fruits names
	$nb = db_num_rows($fruits);
	$msg = "\$FRUITS=".$nb.";\n";
	$msg .= "\$FRUIT_NAMES=";
	$msg .= makeList($fruits,"Name");
	//fwrite($f_out,$msg);
	
	# fruits images
	$msg .= "\$FRUIT_LIST=";
	$msg .= makeList($fruits,"Image");
	//fwrite($f_out,$msg);
	
	# teams names
	$nb = db_num_rows($teams);
	$msg .= "\$TEAMS =".$nb.";\n";
	$msg .= "\$TEAM_NAMES=";
	$msg .= makeList($teams,"Name");
	//fwrite($f_out,$msg);
	
	# teams images
	$msg .= "\$TEAM_LIST=";
	$msg .= makeList($teams,"Image");

	//$msg .= "\n";
	//fwrite($f_out,$msg);
	#####################################
	
	//fclose($f_out);
	
	//$msg = " echo \"$msg\"; ";
	
	setExploitationFile("Drapeaux", $msg, true);

	echo "<font color=red>La page \"Equipes et Maillots\" a été générée</font>";
}
else
{
?>
OK pour générer le fichier "Equipes et Maillots" ?
<form>
<input type=submit name=submit value="Valider">
</form>
<?php
}
?>
